DELETE /api/v3/batch/{batchId}

Deletes a batch and all bills contained within it

DeleteBatchV3 Permissions: BillsAndBatches (Delete)
Use this endpoint to permanently remove a batch and cascade-delete all bills in the batch. Also removes any calculated bill task references to this batch. This action cannot be undone. Only the batch owner or a user with appropriate permissions can delete a batch. Requires Bills and Batches Delete permission.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
batchId Unique numeric identifier of the batch to delete integer (int32) Required

Responses

204 No Content The request succeeded. No content is returned in the response body.
404 Not Found The requested resource was not found. Verify the ID or path is correct.